#!/usr/bin/env bash

echo "Started: `date +%H:%M:%S`" > time.log
echo "Cloning from git..."
mkdir Cuberite
cd Cuberite
git clone --recurse-submodules https://github.com/cuberite/cuberite . || (echo 'An error occurred, timings are invalid' && exit 1)
echo "Cloned: `date +%H:%M:%S`" >> ../time.log

echo "Running CMake..."
mkdir VS
cd VS
cmake -DBUILD_TOOLS=1 -DSELF_TEST=1 .. || (echo 'An error occurred, timings are invalid' && exit 1)
echo "CMaked: `date +%H:%M:%S`" >> ../../time.log

echo "Building..."
MAKEFLAGS="" cmake --build . -j $(nproc) || (echo 'An error occurred, timings are invalid' && exit 1)
cd ../..
echo "Built: `date +%H:%M:%S`" >> time.log
echo "All done successfully"
